aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-03-25 08:44:47 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-03-25 08:47:05 +0000
commita0b5881961a7f7aadcb704fa2018bd726bfdefa9 (patch)
tree783399a84ba0a471bed20683abd690d136bb6bf5
parentc493818e479a519e773a1e7bdf186489970386a3 (diff)
downloadaports-a0b5881961a7f7aadcb704fa2018bd726bfdefa9.tar.bz2
aports-a0b5881961a7f7aadcb704fa2018bd726bfdefa9.tar.xz
testing/erlang: new aport
General-purpose programming language and runtime environment http://www.erlang.org/
-rw-r--r--testing/erlang/APKBUILD70
-rw-r--r--testing/erlang/otp-0004-Do-not-install-C-sources.patch168
-rw-r--r--unstable/erlang/APKBUILD29
3 files changed, 238 insertions, 29 deletions
diff --git a/testing/erlang/APKBUILD b/testing/erlang/APKBUILD
new file mode 100644
index 0000000000..d25ebdf1e2
--- /dev/null
+++ b/testing/erlang/APKBUILD
@@ -0,0 +1,70 @@
+# Contributor: Michael Mason <ms13sp@gmail.com>
+# Maintainer: Michael Mason <ms13sp@gmail.com>
+
+# TODO: create subpackages
+# Check how fedora does it:
+# http://pkgs.fedoraproject.org/gitweb/?p=erlang.git;a=blob;f=erlang.spec
+
+pkgname=erlang
+pkgver=14.2.02
+# note: versioning scheme is weird. the .2. -> B
+# needs to be updated manually
+_ver=${pkgver%%.*}B${pkgver##*.}
+pkgrel=0
+pkgdesc="General-purpose programming language and runtime environment"
+url="http://www.erlang.org/"
+license="ERPL"
+arch="all"
+depends=
+makedepends="perl-dev zlib-dev ncurses-dev openssl-dev"
+install=
+subpackages="$pkgname-dev"
+
+# patch found: http://pkgs.fedoraproject.org/gitweb/?p=erlang.git;a=tree
+source="http://www.erlang.org/download/otp_src_R$_ver.tar.gz
+ otp-0004-Do-not-install-C-sources.patch"
+
+_builddir="$srcdir"/otp_src_R$_ver
+
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+ # remove shipped zlib sources
+ rm -f erts/emulator/zlib/*.[ch]
+
+ # Fix 664 file mode
+ chmod 644 lib/kernel/examples/uds_dist/c_src/Makefile
+ chmod 644 lib/kernel/examples/uds_dist/src/Makefile
+ chmod 644 lib/ssl/examples/certs/Makefile
+ chmod 644 lib/ssl/examples/src/Makefile
+
+ # Remove old txt files
+ rm -f lib/ssl/examples/certs/etc/otpCA/index.txt.old
+ rm -f lib/ssl/examples/certs/etc/erlangCA/index.txt.old
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --enable-threads \
+ --enable-shared-zlib \
+ --enable-ssl=dynamic-ssl-lib \
+ || return 1
+ make -j1 || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make -j1 DESTDIR="$pkgdir" install
+}
+
+md5sums="229fb8f193b09ac04a57a9d7794349b7 otp_src_R14B02.tar.gz
+e7e4b43883e5fc860bf18701850512b1 otp-0004-Do-not-install-C-sources.patch"
diff --git a/testing/erlang/otp-0004-Do-not-install-C-sources.patch b/testing/erlang/otp-0004-Do-not-install-C-sources.patch
new file mode 100644
index 0000000000..d4f380c0fa
--- /dev/null
+++ b/testing/erlang/otp-0004-Do-not-install-C-sources.patch
@@ -0,0 +1,168 @@
+From: Peter Lemenkov <lemenkov@gmail.com>
+Date: Fri, 18 Jun 2010 23:41:33 +0400
+Subject: [PATCH] Do not install C sources
+
+Signed-off-by: Peter Lemenkov <lemenkov@gmail.com>
+---
+ lib/asn1/c_src/Makefile | 2 --
+ lib/crypto/c_src/Makefile.in | 3 ---
+ lib/erl_interface/src/Makefile.in | 18 ------------------
+ lib/ic/c_src/Makefile.in | 2 --
+ lib/megaco/src/flex/Makefile.in | 2 +-
+ lib/odbc/c_src/Makefile.in | 3 ---
+ lib/os_mon/c_src/Makefile.in | 1 -
+ lib/ssl/c_src/Makefile.in | 9 ---------
+ lib/tools/c_src/Makefile.in | 2 --
+ 9 files changed, 1 insertions(+), 41 deletions(-)
+
+diff --git a/lib/asn1/c_src/Makefile b/lib/asn1/c_src/Makefile
+index 9e9cb18..1d73d3c 100644
+--- a/lib/asn1/c_src/Makefile
++++ b/lib/asn1/c_src/Makefile
+@@ -125,8 +125,6 @@ include $(ERL_TOP)/make/otp_release_targets.mk
+ release_spec: opt
+ $(INSTALL_DIR) $(RELSYSDIR)/priv/lib
+ $(INSTALL_PROGRAM) $(SHARED_OBJ_FILES) $(RELSYSDIR)/priv/lib
+- $(INSTALL_DIR) $(RELSYSDIR)/c_src
+- $(INSTALL_DATA) $(C_FILES) $(RELSYSDIR)/c_src
+
+ release_docs_spec:
+
+diff --git a/lib/crypto/c_src/Makefile.in b/lib/crypto/c_src/Makefile.in
+index 48f931d..4a7a183 100644
+--- a/lib/crypto/c_src/Makefile.in
++++ b/lib/crypto/c_src/Makefile.in
+@@ -136,10 +136,7 @@ docs:
+ include $(ERL_TOP)/make/otp_release_targets.mk
+
+ release_spec: opt
+- $(INSTALL_DIR) $(RELSYSDIR)/priv/obj
+ $(INSTALL_DIR) $(RELSYSDIR)/priv/lib
+- $(INSTALL_DATA) $(NIF_MAKEFILE) $(RELSYSDIR)/priv/obj
+- $(INSTALL_PROGRAM) $(OBJS) $(RELSYSDIR)/priv/obj
+ $(INSTALL_PROGRAM) $(NIF_LIB) $(RELSYSDIR)/priv/lib
+
+ release_docs_spec:
+diff --git a/lib/erl_interface/src/Makefile.in b/lib/erl_interface/src/Makefile.in
+index 8ff142a..d785902 100644
+--- a/lib/erl_interface/src/Makefile.in
++++ b/lib/erl_interface/src/Makefile.in
+@@ -876,29 +876,11 @@ release: opt
+ $(INSTALL_DIR) $(RELSYSDIR)/include
+ $(INSTALL_DIR) $(RELSYSDIR)/lib
+ $(INSTALL_DIR) $(RELSYSDIR)/bin
+- $(INSTALL_DIR) $(RELSYSDIR)/src/auxdir
+- $(INSTALL_DIR) $(RELSYSDIR)/src/connect
+- $(INSTALL_DIR) $(RELSYSDIR)/src/decode
+- $(INSTALL_DIR) $(RELSYSDIR)/src/encode
+- $(INSTALL_DIR) $(RELSYSDIR)/src/epmd
+- $(INSTALL_DIR) $(RELSYSDIR)/src/legacy
+- $(INSTALL_DIR) $(RELSYSDIR)/src/misc
+- $(INSTALL_DIR) $(RELSYSDIR)/src/prog
+- $(INSTALL_DIR) $(RELSYSDIR)/src/registry
+ $(INSTALL_DATA) $(HEADERS) $(RELSYSDIR)/include
+ $(INSTALL_DATA) $(OBJ_TARGETS) $(RELSYSDIR)/lib
+ ifneq ($(EXE_TARGETS),)
+ $(INSTALL_PROGRAM) $(EXE_TARGETS) $(RELSYSDIR)/bin
+ endif
+- $(INSTALL_DATA) $(EXTRA) $(RELSYSDIR)/src
+- $(INSTALL_DATA) connect/*.[ch] $(RELSYSDIR)/src/connect
+- $(INSTALL_DATA) decode/*.[ch] $(RELSYSDIR)/src/decode
+- $(INSTALL_DATA) encode/*.[ch] $(RELSYSDIR)/src/encode
+- $(INSTALL_DATA) epmd/*.[ch] $(RELSYSDIR)/src/epmd
+- $(INSTALL_DATA) misc/*.[ch] $(RELSYSDIR)/src/misc
+- $(INSTALL_DATA) registry/*.[ch] $(RELSYSDIR)/src/registry
+- $(INSTALL_DATA) legacy/*.[ch] $(RELSYSDIR)/src/legacy
+- $(INSTALL_DATA) prog/*.[ch] $(RELSYSDIR)/src/prog
+
+ release_docs:
+
+diff --git a/lib/ic/c_src/Makefile.in b/lib/ic/c_src/Makefile.in
+index 6eef782..091895b 100644
+--- a/lib/ic/c_src/Makefile.in
++++ b/lib/ic/c_src/Makefile.in
+@@ -144,10 +144,8 @@ $(OBJDIR)/%.o: %.c
+ include $(ERL_TOP)/make/otp_release_targets.mk
+
+ release_spec: opt
+- $(INSTALL_DIR) $(RELSYSDIR)/c_src
+ $(INSTALL_DIR) $(RELSYSDIR)/include
+ $(INSTALL_DIR) $(RELSYSDIR)/priv/lib
+- $(INSTALL_DATA) ic.c ic_tmo.c $(RELSYSDIR)/c_src
+ $(INSTALL_DATA) $(IDL_FILES) $(H_FILES) $(RELSYSDIR)/include
+ $(INSTALL_DATA) $(LIBRARY) $(RELSYSDIR)/priv/lib
+
+diff --git a/lib/megaco/src/flex/Makefile.in b/lib/megaco/src/flex/Makefile.in
+index 5af651d..2ccf2a9 100644
+--- a/lib/megaco/src/flex/Makefile.in
++++ b/lib/megaco/src/flex/Makefile.in
+@@ -279,7 +279,7 @@ release_spec: opt
+ $(INSTALL_DATA) $(ERL_FILES) $(INTERNAL_HRL_FILES) $(RELSYSDIR)/src/flex
+ $(INSTALL_DATA) $(TARGET_FILES) $(RELSYSDIR)/ebin
+ ifeq ($(ENABLE_MEGACO_FLEX_SCANNER),true)
+- $(INSTALL_DATA) $(FLEX_FILES) $(C_TARGETS) $(RELSYSDIR)/src/flex
++ $(INSTALL_DATA) $(FLEX_FILES) $(RELSYSDIR)/src/flex
+ $(INSTALL_PROGRAM) $(SOLIBS) $(RELSYSDIR)/priv/lib
+ endif
+
+diff --git a/lib/odbc/c_src/Makefile.in b/lib/odbc/c_src/Makefile.in
+index ed3eeb1..c01d9bf 100644
+--- a/lib/odbc/c_src/Makefile.in
++++ b/lib/odbc/c_src/Makefile.in
+@@ -131,11 +131,8 @@ include $(ERL_TOP)/make/otp_release_targets.mk
+
+ release_spec: opt
+ ifdef EXE_TARGET
+- $(INSTALL_DIR) $(RELSYSDIR)/c_src
+- $(INSTALL_DATA) $(C_FILES) $(H_FILES) $(RELSYSDIR)/c_src
+ $(INSTALL_DIR) $(RELSYSDIR)/priv
+ $(INSTALL_DIR) $(RELSYSDIR)/priv/bin
+- $(INSTALL_DIR) $(RELSYSDIR)/priv/obj
+ $(INSTALL_PROGRAM) $(EXE_TARGET) $(RELSYSDIR)/priv/bin
+ endif
+
+diff --git a/lib/os_mon/c_src/Makefile.in b/lib/os_mon/c_src/Makefile.in
+index 1a371eb..62eac66 100644
+--- a/lib/os_mon/c_src/Makefile.in
++++ b/lib/os_mon/c_src/Makefile.in
+@@ -136,7 +136,6 @@ release_spec:
+ else
+ release_spec: opt
+ $(INSTALL_DIR) $(RELSYSDIR)/src
+- $(INSTALL_DATA) $(C_FILES) $(RELSYSDIR)/src
+ $(INSTALL_DIR) $(RELSYSDIR)/priv/bin
+ $(INSTALL_PROGRAM) $(TARGET_FILES) $(RELSYSDIR)/priv/bin
+ endif
+diff --git a/lib/ssl/c_src/Makefile.in b/lib/ssl/c_src/Makefile.in
+index 5e6c74e..bf4843b 100644
+--- a/lib/ssl/c_src/Makefile.in
++++ b/lib/ssl/c_src/Makefile.in
+@@ -199,15 +199,6 @@ include $(ERL_TOP)/make/otp_release_targets.mk
+ release_spec: opt
+ $(INSTALL_DIR) $(RELSYSDIR)/priv/bin
+ $(INSTALL_PROGRAM) $(PORT_PROGRAM) $(RELSYSDIR)/priv/bin
+-ifneq ($(SSL_MAKEFILE),)
+- $(INSTALL_DIR) $(RELSYSDIR)/priv/obj
+- $(INSTALL_DATA) $(OBJS) $(RELSYSDIR)/priv/obj
+- sed -e "s;%BINDIR%;../bin;" \
+- -e "s;%SSL_LIBDIR%;$(SSL_LIBDIR);" \
+- -e "s;%OBJS;$(OBJS);" \
+- -e "s;%LIBS%;$(LIBS);" ./Makefile.dist \
+- > $(RELSYSDIR)/priv/obj/Makefile
+-endif
+
+ release_docs_spec:
+
+diff --git a/lib/tools/c_src/Makefile.in b/lib/tools/c_src/Makefile.in
+index 65a7f5f..144c1ba 100644
+--- a/lib/tools/c_src/Makefile.in
++++ b/lib/tools/c_src/Makefile.in
+@@ -190,8 +190,6 @@ include ../vsn.mk
+ RELSYSDIR = $(RELEASE_PATH)/lib/tools-$(TOOLS_VSN)
+
+ release_spec: all
+- $(INSTALL_DIR) $(RELSYSDIR)/c_src
+- $(INSTALL_DATA) $(EMEM_SRCS) $(EMEM_HEADERS) $(RELSYSDIR)/c_src
+ ifneq ($(PROGS),)
+ $(INSTALL_DIR) $(RELSYSDIR)/bin
+ $(INSTALL_PROGRAM) $(PROGS) $(RELSYSDIR)/bin
diff --git a/unstable/erlang/APKBUILD b/unstable/erlang/APKBUILD
deleted file mode 100644
index 97a60746db..0000000000
--- a/unstable/erlang/APKBUILD
+++ /dev/null
@@ -1,29 +0,0 @@
-# Contributor: Michael Mason <ms13sp@gmail.com>
-# Maintainer: Michael Mason <ms13sp@gmail.com>
-pkgname=erlang
-pkgver=13A
-pkgrel=0
-pkgdesc="Erlang programming language"
-url="http://www.erlang.org/"
-license="GPL"
-depends="uclibc perl"
-makedepends="perl-dev"
-install=
-subpackages="$pkgname-doc $pkgname-dev"
-source="http://www.erlang.org/download/otp_src_R$pkgver.tar.gz"
-
-build() {
- cd "$srcdir/otp_src_R$pkgver"
-
- ./configure --prefix=/usr \
- --sysconfdir=/etc \
- --mandir=/usr/share/man \
- --infodir=/usr/share/info
- make || return 1
- make DESTDIR="$pkgdir" install
-
- # install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
- # install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
-}
-
-md5sums="76804ff9c18710184cf0c0230a0443fc otp_src_R13A.tar.gz"